Skip to main content
`Ctrl`+`K`

# DMGetCoordinateDim

Retrieve the dimension of the embedding space for coordinate values. For example a mesh on the surface of a sphere would have a 3 dimensional embedding space

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinateDim(DM dm, PetscInt *dim)

Not Collective

## Input Parameter

- dm - The `DM` object

## Output Parameter

- dim - The embedding dimension

## See Also

`DM`, `DMSetCoordinateDim()`, `DMGetCoordinateSection()`, `DMGetCoordinateDM()`, `DMGetLocalSection()`, `DMSetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/snes/tutorials/ex76.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex71.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex11.c
src/dm/impls/plex/tutorials/ex8.c
src/snes/tutorials/ex13.c
src/dm/impls/plex/tutorials/ex15.c
src/dm/impls/plex/tutorials/ex11.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages